Get an organization – Management API – MediaKind
Get an organization
get https://app.mk.io/api/v1/organization
Returns your active organization.
RBAC Capability Required: core.customer.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Response
200 OK
kind
string(Optional)- The kind of record.
metadata
objectOrganizationMetadataSchema (Optional)- Metadata
- Show 9 properties
created
string(Optional) format: date-time- The time when the resource was created
createdBy
string(Optional) format: uuid- ID of the user who created the resource
createdByEmail
string(Optional)- Email of the user who created the resource
createdById
string(Required) format: uuid- Id of the user who created the organization
createdByName
string(Required)- Name of the user who created the organization
id
string(Required) format: uuid- The ID of the resource
isActive
boolean(Required)- Is organization active
name
string(Optional)- The name of the resource
updated
string(Optional) format: date-time- The time when the resource was last updated
spec
objectOrganizationSpecSchema (Required)- Specification
- Show 5 properties
legalEntityAddress
string or null(Optional)- The legal address of the purchaser.
legalEntityContactEmail
string or null(Optional)- The primary officer's email address.
legalEntityName
string or null(Optional)- The legal entity name of the purchaser.
legalEntityOfficer
string or null(Optional)- The name of the primary officer of the purchaser.
name
string(Optional)- Name of the organization
Errors
400 Bad Request
error
objectErrorDetail (Required)- Pertinent information about the error
- Show 3 properties
code
string(Required)- The error code.
detail
string(Required)- The error message.
extraDetail
map from strings to any(Optional)- Extra information regarding this error.
ref
string(Required)- A reference to the request that caused the error.
status
integer(Required)- The HTTP status code
401 Unauthorized
code
string(Required)- The error code.
detail
string(Required)- The error message.
extraDetail
map from strings to any(Optional)- Extra information regarding this error.
ref
string(Required)- A reference to the request that caused the error.
status
integer(Required)- The HTTP status code
403 Forbidden
code
string(Required)- The error code.
detail
string(Required)- The error message.
extraDetail
map from strings to any(Optional)- Extra information regarding this error.
ref
string(Required)- A reference to the request that caused the error.
status
integer(Required)- The HTTP status code
404 Not Found
code
string(Required)- The error code.
detail
string(Required)- The error message.
extraDetail
map from strings to any(Optional)- Extra information regarding this error.
ref
string(Required)- A reference to the request that caused the error.
status
integer(Required)- The HTTP status code
429 Too Many Requests
code
string(Required)- The error code.
detail
string(Required)- The error message.
extraDetail
map from strings to any(Optional)- Extra information regarding this error.
ref
string(Required)- A reference to the request that caused the error.
status
integer(Required)- The HTTP status code
500 Internal Server Error
code
string(Required)- The error code.
detail
string(Required)- The error message.
extraDetail
map from strings to any(Optional)- Extra information regarding this error.
ref
string(Required)- A reference to the request that caused the error.
status
integer(Required)- The HTTP status code